Files
curl --request GET \
--url https://app.onefirewall.com/api/v1/files/{digest} \
--header 'Authorization: <api-key>'import requests
url = "https://app.onefirewall.com/api/v1/files/{digest}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.onefirewall.com/api/v1/files/{digest}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"md5": "947F536E12836C13CFC73638B796471D",
"sha1": "F478B6E4653C4620AF43841CC1F0227BC79F3ADB",
"sha256": "1AE54CBDE48D74B3312771FCDB51E672CD0D60F737FA5FE09F9C83597B8A3B5F",
"score": 96,
"ts": 1693519331,
"file_bytes": null,
"total_reports": 47,
"total_members": 1,
"file_type": "application/x-executable",
"file_name": "947f536e12836c13cfc73638b796471d",
"tags": [
"n/a",
"elf",
"Gafgyt"
],
"elk_ts": "2023-08-31T22:02:11.000Z",
"elk_entry_ts": "2023-08-30T00:03:23.000Z",
"entry_ts": 1693353803
}Security Binary
Files
GET
/
files
/
{digest}
Files
Updated API documentation with live interaction is now available in the product dashboard under API Docs.
Authorizations
Authorization Token
Path Parameters
Digest value in any format from MD5,SHA1,SHA256
Query Parameters
YES or NO (Defualt). A Deep Scan is perfromed accross 4 million IoCs if the Digest is not presented into the main OneFirewall Data Lake
Available options:
YES, NO Response
200 - application/json
The response is of type string.
⌘I

